# xbr_gaode_location_and_track

#### 介绍
高德猎鹰轨迹SDK  已含定位SDK, 因为两个必须配套使用
如果不使用猎鹰功能，仅需要定位功能,请搜索插件 xbr_gaode_location
如果仅使用猎鹰功能，不需要定位功能,请搜索插件 xbr_gaode_track

不能同时引入 xbr_gaode_location 和 xbr_gaode_track

都需要时请使用此插件 xbr_gaode_location_and_track

#### 软件架构
软件架构说明


#### 安装教程
 xbr_gaode_location_and_track：^1.0.0

#### 使用说明

1.  定位部分
    ##### 获取一次定位，自动销毁：使用默认参数（高精度）即可，无法传参
    ``
        XbrGaodeLocation.instance().execOnceLocation({
            String clientKey = "onceLocation",
            AMapLocationMode locationMode = AMapLocationMode.Hight_Accuracy,
            DesiredAccuracy desiredAccuracy = DesiredAccuracy.Best,
            required LocationCallback callback,
        })
    ``
    ##### 连续定位：若需要同时在多个地方获取连续定位，传入clientKey即可
    ``
        XbrGaodeLocation.instance().startTimeLocation(
          {String clientKey = "singleTimeLocation",
          int interval = 2000,//安卓 定位触发间隔
          double distance = -1, //ios 定位触发距离 -1 不限
          AMapLocationMode locationMode = AMapLocationMode.Hight_Accuracy,
          DesiredAccuracy desiredAccuracy = DesiredAccuracy.Best,
          required LocationCallback callback}) {
       })
    ``
     ##### 销毁连续定位：
    ``
        destroyLocation({required String clientKey})
    ``

2.  猎鹰轨迹部分
    ##### 初始化猎鹰轨迹，一般从获取到猎鹰服务ID后即可开始初始化
    ``
        XbrGaodeTrack.initTrackSDK()
    ``
    ##### 创建终端，返回终端ID,需记录
    ``
        XbrGaodeTrack.addTerminal()
    ``
    ##### 创建轨迹, 返回轨迹ID,需记录
    ``
        XbrGaodeTrack.addTrack()
    ``
    ##### 轨迹上报，开始上报后方可采集
    ``
        XbrGaodeTrack.startTrack()
    ``
    ##### 开始采集，开始上报后方可采集
    ``
        XbrGaodeTrack.startGather()
    ``
    ##### 停止采集，随时可以停止采集
    ``
        XbrGaodeTrack.startGather()
    ``
    ##### 停止上报，停止采集后方可停止上报
    ``
         XbrGaodeTrack.stopTrack()
    ``
    ##### 查詢终端位置
    ``
         XbrGaodeTrack.queryLatestPoint()
    ``
    ##### 查詢指定轨迹
    ``
         XbrGaodeTrack.queryTerminalTrack()
    ``


#### 参与贡献

1.  贵州易林物流有限公司：www.yilinwuliu.cn
2.  贵州黔运共享，贵州省网络货运公共服务平台
3.  小镖人研发团队

#### 特技

1.  使用 Readme\_XXX.md 来支持不同的语言，例如 Readme\_en.md, Readme\_zh.md
2.  Gitee 官方博客 [blog.gitee.com](https://blog.gitee.com)
3.  你可以 [https://gitee.com/explore](https://gitee.com/explore) 这个地址来了解 Gitee 上的优秀开源项目
4.  [GVP](https://gitee.com/gvp) 全称是 Gitee 最有价值开源项目，是综合评定出的优秀开源项目
5.  Gitee 官方提供的使用手册 [https://gitee.com/help](https://gitee.com/help)
6.  Gitee 封面人物是一档用来展示 Gitee 会员风采的栏目 [https://gitee.com/gitee-stars/](https://gitee.com/gitee-stars/)
