
class Result {
  int? code;
  bool? success;
  String? msg;
  dynamic data;
  Result({this.code, this.success, this.msg, this.data});

  Result.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    success = json['success'];
    msg = json['msg'];
    data = json['data'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['code'] = code;
    data['success'] = success;
    data['msg'] = msg;
    data['data'] = this.data;
    return data;
  }

}
